#!/bin/sh
export PATH='/usr/local/sbin:/usr/local/bin:/usr/bin:/usr/bin/site_perl:/usr/bin/vendor_perl:/usr/bin/core_perl'
echo 'name:                 assoc
version:              1.0.2
visibility:           public
id:                   assoc-1.0.2-CeXWPCijO4ZKtmCGWKhGJ5
key:                  assoc-1.0.2-CeXWPCijO4ZKtmCGWKhGJ5
license:              BSD-3-Clause
maintainer:           Oleg Grenrus <oleg.grenrus@iki.fi>
author:               Oleg Grenrus <oleg.grenrus@iki.fi>
synopsis:             swap and assoc: Symmetric and Semigroupy Bifunctors
description:
    Provides generalisations of
    @swap :: (a,b) -> (b,a)@ and
    @assoc :: ((a,b),c) -> (a,(b,c))@
    to
    @Bifunctor@s supporting similar operations (e.g. @Either@, @These@).

category:             Data
abi:                  1dd9a1e3028c5a3ff74ea869edf272d5
exposed:              True
exposed-modules:      Data.Bifunctor.Assoc Data.Bifunctor.Swap
import-dirs:          /usr/lib/ghc-9.2.8/site-local/assoc-1.0.2
library-dirs:         /usr/lib/ghc-9.2.8/site-local/assoc-1.0.2
dynamic-library-dirs: /usr/lib
data-dir:             /usr/share/haskell-assoc
hs-libraries:         HSassoc-1.0.2-CeXWPCijO4ZKtmCGWKhGJ5
depends:
    base-4.16.4.0 bifunctors-5.6-85YJd5yVRkz8V9YqxWA5ae
    tagged-0.8.8-404YCiJ2agdDxJGZ4AybXg

haddock-interfaces:   /usr/share/doc/haskell-assoc/html/assoc.haddock
haddock-html:         /usr/share/doc/haskell-assoc/html
' | '/usr/bin/ghc-pkg-9.2.8' 'update' '--force' '-' '--global' '--no-user-package-db' "$@"

